收藏
回答

ts里面用require 引用js报错

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug Windows v1.02.1811290



这是为啥,还是我引得不对? 路径是对的

最后一次编辑于  2018-12-06  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

1 个回答

  • Stephen
    Stephen
    2018-12-06

    在文件头部写上


    declare var require: any


    试下

    2018-12-06
    赞同 1
    回复 4
    • 小样🍀
      小样🍀
      2018-12-06


      这有解吗  wx

      2018-12-06
      回复
    • Stephen
      Stephen
      2018-12-06回复小样🍀

      简单粗暴点 就用 // @ts-ignore 忽略掉


      想有提示且不报错,就去找个小程序的 d.ts 文件 或者新建一个 ts的quickstart 从里面把 d.ts 文件拷到你项目里(quickstart 里的d.ts是官方的 但不全

      2018-12-06
      回复
    • 小样🍀
      小样🍀
      2018-12-06回复Stephen

      我这个就是创建的普通快速启动模版(typeScript)然后出现的问题

      2018-12-06
      回复
    • Stephen
      Stephen
      2018-12-06回复小样🍀

      那就忽略掉吧

      2018-12-06
      回复